Name:          libotr
Version:       4.0.0
Release:       1mamba
Summary:       Off-the-Record (OTR) Messaging library and toolkit 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.cypherpunks.ca/otr/
Source:        http://www.cypherpunks.ca/otr/libotr-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is a library and toolkit which implements Off-the-Record (OTR) Messaging.
OTR allows you to have private conversations over IM by providing Encryption,
Authentication, Deniability and Perfect forward secrecy 

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This is a library and toolkit which implements Off-the-Record (OTR) Messaging.
OTR allows you to have private conversations over IM by providing Encryption,
Authentication, Deniability and Perfect forward secrecy

This package contains static libraries and header files need for development.

%prep

%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/otr_*
%{_libdir}/*.so.*
%{_mandir}/man1/otr_*.1.gz
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libotr
%{_includedir}/libotr/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/libotr.m4

%changelog
* Sat Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Fri Aug 24 2012 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Tue Oct 14 2008 gil <puntogil@libero.it> 3.2.0-1mamba
- package created by autospec
